Bug 524130 - Audacity "skips", produces garbled sound and freezes
Summary: Audacity "skips", produces garbled sound and freezes
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: audacity
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Gérard Milmeister
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-18 01:13 UTC by Brad Smith
Modified: 2010-06-28 14:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:42:55 UTC


Attachments (Terms of Use)

Description Brad Smith 2009-09-18 01:13:41 UTC
After importing pretty much any file of more than a minute or so in length, in ogg, mp3 or wav format, audacity will play for at most a few seconds before starting to "skip" through the file, playing microsecond clips of sound, creating an effect of very garbled noise. Attempting to pause once this has happened freezes audacity more often than not. 

The odd, and perhaps helpful, thing is that when I downgraded from 1.3.7 to 1.3.5, the problem went away.

Comment 1 Michael Schwendt 2009-09-18 09:01:51 UTC
Please don't downgrade. Be brave and enable updates-testing to upgrade to 1.3.9-beta:
https://admin.fedoraproject.org/updates/F11/FEDORA-2009-9334

[...]

The symptoms you describe are not specific to Audacity. They occur with other audio players, too, depending on hardware and kernel drivers. I can't reproduce it. A kernel update with an alsa patch some weeks ago got rid of audio related freezes for me (I had posted to fedora-devel about the deadlocks), with ES1371 chipset. Instead of deadlocks under system load I now get something which sounds like fast-forward until the system becomes sane again. Audacity is not the culprit. I'm certain there's at least one bug somewhere in ALSA (either kernel drivers or alsa-lib) and its interoperability with PulseAudio.

Comment 2 Brad Smith 2009-09-18 13:27:25 UTC
Hmm... is this expected:

# yum --disablerepo='*' --enablerepo='updates-testing' list updates audacity
Loaded plugins: allowdowngrade, refresh-packagekit
Error: No matching Packages to list

I was able to download the rpm from the link you provided, but while a plain 'list updates' shows several packages in updates-testing, audacity is not among them.

In any case, I can report that the problem persists in 1.3.9. :(

Comment 3 Brad Smith 2009-09-18 13:30:10 UTC
...also, while I understand why the problem (or problems like it) seem more pervasive than just within Audacity, the fact that 1.3.5 does not exhibit this problem must be indicative of something, right? Changing only that component resolves the issue for me.

Comment 4 Michael Schwendt 2009-09-18 15:06:53 UTC
> yum --disablerepo='*' --enablerepo='updates-testing' list updates audacity

Why the very special "list updates" query? Simply run:

$ yum --enablerepo='updates-testing' list audacity
Available Packages
audacity.i586                1.3.9-0.1.beta.fc11                 updates-testing

[...]

> the fact that 1.3.5 does not exhibit this
> problem must be indicative of something, right? 

Define "something". It may be that internal changes in PortAudio between Audacity 1.3.5-beta and 1.3.7-beta bear a higher risk of triggering the problem you see. But that doesn't imply that 1.3.7-beta (or newer) would be bad - or that going back to 1.3.5-beta would not result in the same crap with the next kernel update, for example. Better would be to return to Fedora 8 or so and restart from there. ;o) There are many open tickets about a variety of audio related problems, affecting a multitude of audio players, ranging from fast-forward playback to stuttering, freezes and noise.

Comment 5 Brad Smith 2009-09-18 15:32:28 UTC
"It may be that internal changes in PortAudio between
Audacity 1.3.5-beta and 1.3.7-beta bear a higher risk of triggering the problem
you see."

Right, that's what I mean: perhaps looking at what has changed between these version would provide some clues as to what the trigger is, which could provide some insight into the deeper problem. You would know better than I, of course.

Comment 6 Michael Schwendt 2009-09-18 16:24:55 UTC
From my initial comment 1:

> I can't reproduce it. 

If I could, I would contribute some debugging. Although, audio on Linux has become a beast - to avoid the term "maintenance nightmare". Not only is ALSA more complex than OSS, PulseAudio is an added layer of complexity which tries to work around bugs or reveals new ones. And additionally, the people developing ALSA in the kernel seem to have a hard time fixing bugs, too.

Comment 7 Michael Schwendt 2009-09-18 19:47:02 UTC
Browsing activity on http://bugz.fedoraproject.org/pulseaudio, some breakage has returned recently for other people, e.g. bug 516649 comment 12 from Máirín Duffy:

| [...] rhythmbox, [...] the audio stops outputting sound completely
| and the play progress bar starts going superfast. Eventually if
| I leave it in this state it starts making ugly static noises.

Comment 8 Michael Schwendt 2009-09-23 07:17:50 UTC
News: bug 516649 comment 13

Comment 9 Bug Zapper 2010-04-28 10:26:46 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 10 Bug Zapper 2010-06-28 14:42:55 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.